package com.willalp.vacation.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 试用期考评对象 hs_probation_period_score
 *
 * @author willalp
 * @date 2023-03-19
 */

@TableName("hs_probation_period_score")
public class HsProbationPeriodScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 工号 */
    @Excel(name = "工号")
    private String jobNo;

    /** 部门 */
    @Excel(name = "部门")
    private String department;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 第一次考评 */
    @Excel(name = "第一次考评")
    private String examEvaluateOne;

    /** 得分 */
    @Excel(name = "得分")
    private String scoreOne;

    /** 第二次考评 */
    @Excel(name = "第二次考评")
    private String examEvaluateTwo;

    /** 得分 */
    @Excel(name = "得分")
    private String scoreTwo;

    /** 第三次考评 */
    @Excel(name = "第三次考评")
    private String examEvaluateThree;

    /** 得分 */
    @Excel(name = "得分")
    private String scoreThree;

    /** 主管评价 */
    @Excel(name = "主管评价")
    private String managerOpinion;

    /** 岗位评价 */
    @Excel(name = "岗位评价")
    private String postOpinion;

    /** 岗位得分 */
    @Excel(name = "岗位得分")
    private String postScore;

    /** 绩效评价 */
    @Excel(name = "绩效评价")
    private String kpiOpinion;

    /** 绩效评分 */
    @Excel(name = "绩效评分")
    private String kpiScore;

    /** 人事评价 */
    @Excel(name = "人事评价")
    private String hrOpinion;

    /** 人事评分 */
    @Excel(name = "人事评分")
    private String hrScore;

    /** 总分 */
    @Excel(name = "总分")
    private String totalScore;

    /** 试用结果 */
    @Excel(name = "试用结果")
    private String result;

    /** 考评单号 */
    @Excel(name = "考评单号")
    private String examEvaluateNo;

    /** 是否删除（0.未删除；1.已删除） */
    @Excel(name = "是否删除", readConverterExp = "0=.未删除；1.已删除")
    @TableLogic
    private Integer isDelete;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setJobNo(String jobNo)
    {
        this.jobNo = jobNo;
    }

    public String getJobNo()
    {
        return jobNo;
    }
    public void setDepartment(String department)
    {
        this.department = department;
    }

    public String getDepartment()
    {
        return department;
    }
    public void setStartTime(Date startTime)
    {
        this.startTime = startTime;
    }

    public Date getStartTime()
    {
        return startTime;
    }
    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }
    public void setExamEvaluateOne(String examEvaluateOne)
    {
        this.examEvaluateOne = examEvaluateOne;
    }

    public String getExamEvaluateOne()
    {
        return examEvaluateOne;
    }
    public void setScoreOne(String scoreOne)
    {
        this.scoreOne = scoreOne;
    }

    public String getScoreOne()
    {
        return scoreOne;
    }
    public void setExamEvaluateTwo(String examEvaluateTwo)
    {
        this.examEvaluateTwo = examEvaluateTwo;
    }

    public String getExamEvaluateTwo()
    {
        return examEvaluateTwo;
    }
    public void setScoreTwo(String scoreTwo)
    {
        this.scoreTwo = scoreTwo;
    }

    public String getScoreTwo()
    {
        return scoreTwo;
    }
    public void setExamEvaluateThree(String examEvaluateThree)
    {
        this.examEvaluateThree = examEvaluateThree;
    }

    public String getExamEvaluateThree()
    {
        return examEvaluateThree;
    }
    public void setScoreThree(String scoreThree)
    {
        this.scoreThree = scoreThree;
    }

    public String getScoreThree()
    {
        return scoreThree;
    }
    public void setManagerOpinion(String managerOpinion)
    {
        this.managerOpinion = managerOpinion;
    }

    public String getManagerOpinion()
    {
        return managerOpinion;
    }
    public void setPostOpinion(String postOpinion)
    {
        this.postOpinion = postOpinion;
    }

    public String getPostOpinion()
    {
        return postOpinion;
    }
    public void setPostScore(String postScore)
    {
        this.postScore = postScore;
    }

    public String getPostScore()
    {
        return postScore;
    }
    public void setKpiOpinion(String kpiOpinion)
    {
        this.kpiOpinion = kpiOpinion;
    }

    public String getKpiOpinion()
    {
        return kpiOpinion;
    }
    public void setKpiScore(String kpiScore)
    {
        this.kpiScore = kpiScore;
    }

    public String getKpiScore()
    {
        return kpiScore;
    }
    public void setHrOpinion(String hrOpinion)
    {
        this.hrOpinion = hrOpinion;
    }

    public String getHrOpinion()
    {
        return hrOpinion;
    }
    public void setHrScore(String hrScore)
    {
        this.hrScore = hrScore;
    }

    public String getHrScore()
    {
        return hrScore;
    }
    public void setTotalScore(String totalScore)
    {
        this.totalScore = totalScore;
    }

    public String getTotalScore()
    {
        return totalScore;
    }
    public void setResult(String result)
    {
        this.result = result;
    }

    public String getResult()
    {
        return result;
    }
    public void setExamEvaluateNo(String examEvaluateNo)
    {
        this.examEvaluateNo = examEvaluateNo;
    }

    public String getExamEvaluateNo()
    {
        return examEvaluateNo;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("jobNo", getJobNo())
            .append("department", getDepartment())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("examEvaluateOne", getExamEvaluateOne())
            .append("scoreOne", getScoreOne())
            .append("examEvaluateTwo", getExamEvaluateTwo())
            .append("scoreTwo", getScoreTwo())
            .append("examEvaluateThree", getExamEvaluateThree())
            .append("scoreThree", getScoreThree())
            .append("managerOpinion", getManagerOpinion())
            .append("postOpinion", getPostOpinion())
            .append("postScore", getPostScore())
            .append("kpiOpinion", getKpiOpinion())
            .append("kpiScore", getKpiScore())
            .append("hrOpinion", getHrOpinion())
            .append("hrScore", getHrScore())
            .append("totalScore", getTotalScore())
            .append("result", getResult())
            .append("examEvaluateNo", getExamEvaluateNo())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
